
/*
 *
 * Description
 *	Allocate and initialize an OFF object description structure.
 *
 * Output
 *	OFFCreateObj returns a pointer to the newly-created and
 *	initialized object structure.
 *
 * Input
 *
 * Diagnostics
 *	Returns NULL if unsuccessful malloc'ing memory for object structure
 *
 * Author
 *	Randi J. Rost
 *	Digital Equipment Corp.
 *	Workstation Systems Engineering
 *	Palo Alto, CA
 *
 * History
 *	17-Nov-86	Created
 *
 */

#include <stdio.h>
#include "off.h"

OFFObjDesc *OFFCreateObj()

    {
    OFFObjDesc	*Obj;

    Obj = (OFFObjDesc *) malloc(sizeof(OFFObjDesc));

    if (Obj == NULL)
	{
	fprintf(stderr, "OFFCreateObj: malloc failed\n");
	return(NULL);
	}

    Obj->FirstProp = NULL;
    return(Obj);
    }
